# 32/64
#
%define major                   2
%define libname                 %mklibname %{name} %{major}
%define libnamedev              %mklibname %{name} -d
%define libnamestaticdev        %mklibname %{name} -d -s
%define ulock_major		1

Summary:        Interface for userspace programs to export a virtual filesystem to the kernel
Name:           fuse
Version:        2.9.3
Release:        %mkrel 2
License:        GPL
Group:          System/Libraries
URL:            http://sourceforge.net/projects/fuse/
Source0:        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.xz
Source2:        fuse-makedev.d-fuse
Patch0:		fuse-2.9.3-CVE-2015-3202.patch
Patch1:		mount-readlink-hang-workaround.patch
Requires(post): makedev
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package -n %{libnamedev}
Summary:        Header files and development libraries for libfuse2
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Obsoletes:	%libname-devel

%description -n %{libnamedev}
Header files and development libraries for fuse.

%package -n %{libname}
Summary:        Libraries for fuse
Group:          System/Libraries

%description -n %{libname}
Libraries for fuse.

%package -n %{libnamestaticdev}
Summary:        Static libraries for fuse
Group:          Development/Libraries
Provides:       %{name}-static-devel = %{version}-%{release}
Requires:       %{libnamedev} = %{version}-%{release}
Obsoletes:	%libname-static-devel

%description -n %{libnamestaticdev}
Static libraries for fuse.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%{__sed} -i 's|mknod|/bin/echo Disabled: mknod |g' util/Makefile.in
%{__perl} -pi -e 's|INIT_D_PATH=.*|INIT_D_PATH=%{_initrddir}|' configure*

%build

%configure2_5x \
    --libdir=/%{_lib} \
    --bindir=/bin \
    --exec-prefix=/

%make

%install
%{__rm} -rf %{buildroot}

%makeinstall_std

%{__mkdir_p} %{buildroot}%{_sysconfdir}/makedev.d
%{__cp} -a %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-fuse

%{__mkdir_p} %{buildroot}%{_libdir}
%{__mv} %{buildroot}/%{_lib}/pkgconfig %{buildroot}%{_libdir}

%{__mkdir_p} %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
%{__ln_s} /bin/fusermount fusermount
%{__ln_s} /bin/ulockmgr_server ulockmgr_server
popd

rm -rf %{buildroot}%{_sysconfdir}/rc.d/init.d
rm -rf %{buildroot}%{_sysconfdir}/udev/rules.d

%preun
if [ -f %{_sysconfdir}/rc.d/init.d/fuse ]; then
  chkconfig --del fuse
fi


%post -n %{libname}
/sbin/ldconfig

groupadd fuse > /dev/null 2>&1


SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= usermod -a -G fuse $idx; done


%postun -n %{libname}
/sbin/ldconfig


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING COPYING.LIB ChangeLog FAQ Filesystems INSTALL NEWS README README.NFS
%attr(0755,root,root) /sbin/mount.fuse
%attr(4755,root,root) /bin/fusermount
%attr(0755,root,root) /bin/ulockmgr_server
%config(noreplace) %{_sysconfdir}/makedev.d/z-fuse
%{_bindir}/fusermount
%{_bindir}/ulockmgr_server
%{_mandir}/man1/*.bz2
%{_mandir}/man8/*.bz2

%files -n %{libname}
%defattr(-,root,root,0755)
/%{_lib}/libfuse.so.%{major}*
/%{_lib}/libulockmgr.so.%{ulock_major}*

%files -n %{libnamedev}
%defattr(-,root,root,0755)
%{_includedir}/*
/%{_lib}/*.la
/%{_lib}/*.so
%{_libdir}/pkgconfig/*

%files -n %{libnamestaticdev}
%defattr(0644,root,root,0755)
/%{_lib}/*.a


%changelog
* Fri May 22 2015 bb <bb> 2.9.3-2pclos2015
- security update

* Tue Sep 17 2013 pinoc <vogtpet at gmail.com> 2.9.3-1pclos2013
- 2.9.3

* Mon Oct 17 2011 Texstar <texstar at gmail.com> 2.8.6-1pclos2011
- 2.8.6

